!/bin/bash

project_name="OdysseusPy"
app_name="home"
port=9000
python='/usr/local/bin/python3'

#创建项目文件夹
mkdir $project_name
cd $project_name
virtualenv venv --python=$python

#创建启动脚本
cat>start.sh<<EOF
source venv/bin/activate
python manage.py runserver 9000
EOF

#进入虚拟环境
source venv/bin/activate

#安装依赖包
pip install -r ../requirements.txt

#单独安装mysql依赖包
cd ../mysqlclient-1.4.2/
python setup.py install

#创建django项目
cd ../$project_name
django-admin startproject $project_name
cd $project_name


#创建一个app
python manage.py startapp $app_name

#启动项目
python manage.py runserver $port
